commit: 35859b90960304f8a177b95eb8f746cfa48c33a4
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 24 19:59:41 2025 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue Jun 24 20:10:05 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35859b90
virtual/perl-bignum: add 5.42 as provider
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
.../{perl-bignum-0.670.0.ebuild => perl-bignum-0.670.0-r1.ebuild} | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/virtual/perl-bignum/perl-bignum-0.670.0.ebuild
b/virtual/perl-bignum/perl-bignum-0.670.0-r1.ebuild
similarity index 76%
rename from virtual/perl-bignum/perl-bignum-0.670.0.ebuild
rename to virtual/perl-bignum/perl-bignum-0.670.0-r1.ebuild
index 022f82abdd3b..12ddc2cdc55c 100644
--- a/virtual/perl-bignum/perl-bignum-0.670.0.ebuild
+++ b/virtual/perl-bignum/perl-bignum-0.670.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -8,7 +8,7 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv
~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos
~x64-solaris"
RDEPEND="
- || ( =dev-lang/perl-5.40* ~perl-core/${PN#perl-}-${PV} )
+ || ( =dev-lang/perl-5.42* =dev-lang/perl-5.40*
~perl-core/${PN#perl-}-${PV} )
dev-lang/perl:=
!<perl-core/${PN#perl-}-${PV}
!>perl-core/${PN#perl-}-${PV}-r999